#4 cannot initialize 'Gtk::CTree_Helpers...

closed
nobody
None
5
2001-07-07
2001-06-19
No

Building on a SuSE box, 2.4.4 kernel, gtk+ 1.2.8

Configures fine but gut the following error during the
build:

ContactInterface.cc:263: cannot initialize
`Gtk::CTree_Helpers::Row &' from
`Gtk::CList_Helpers::Row' (as well as several more
further up the screen)

I'm assuming I have some sort of conflict, but I'd
rather not downgrade if possible.

Help or suggestions would be most appreciated.

Discussion

  • Brandon
    Brandon
    2001-06-30

    Logged In: YES
    user_id=19497

    What version of gtk-- are you using? This looks like an
    error that I used to get with an old version of gtk--.

     
  • Logged In: YES
    user_id=112771

    That seems to be it. When I installed helix-gnome a while back, it started using older versions of gtkmm. I
    uninstalled the appropriate package, and it picked up the proper libraries in /usr/local again.

     
    • status: open --> closed